## org.eclipse.emf.cdo.defs.impl
Class CDOPackageRegistryDefImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.net4j.util.defs.impl.DefImpl
                      org.eclipse.emf.cdo.defs.impl.CDOPackageRegistryDefImpl

All Implemented Interfaces:
  CDOPackageRegistryDef, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, org.eclipse.net4j.util.defs.Def

Direct Known Subclasses:
  CDOEagerPackageRegistryDefImpl, CDOLazyPackageRegistryDefImpl

    public class CDOPackageRegistryDefImpl

extends org.eclipse.net4j.util.defs.impl.DefImpl
implements CDOPackageRegistryDef

An implementation of the model object ' CDO Package Registry Def'.

The following features are implemented:

- `Packages`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.common.util.EList<EPackageDef>` `packages` The cached value of the '`Packages`' containment reference list.

Fields inherited from class org.eclipse.net4j.util.defs.impl.DefImpl
`instanceListener, touchedAdapter`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `CDOPackageRegistryDefImpl()` .

Method Summary
`protected void` `addPackage(EPackageDef ePackageDef, org.eclipse.emf.ecore.EPackage.Registry packageRegistry)` Adds the given `EPackage` within the supplied `definition`to the given `CDOPackageRegistry`.````
`protected org.eclipse.emf.ecore.EPackage.Registry` `addPackages(org.eclipse.emf.ecore.EPackage.Registry packageRegistry)` Adds the packages.
`protected java.lang.Object` `createInstance()` Creates the instance.
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)` .
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)` .
`boolean` `eIsSet(int featureID)` .
`void` `eSet(int featureID, java.lang.Object newValue)` .
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()` .
`void` `eUnset(int featureID)` .
`org.eclipse.emf.common.util.EList<EPackageDef>` `getPackages()` .
`protected void` `removePackage(EPackageDef ePackageDef, org.eclipse.emf.ecore.EPackage.Registry packageRegistry)` Adds the given `EPackage` within the supplied `definition`to the given `CDOPackageRegistry`.````

Methods inherited from class org.eclipse.net4j.util.defs.impl.DefImpl
`activateInstance, areReferencedDefsTouched, deactivateInstance, getInstance, getInternalInstance, handleDeactivation, isSetInstance, isTouched, unsetInstance, unwireInstance, validateDefinition, wireInstance`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.net4j.util.defs.Def
`getInstance, isTouched, unsetInstance`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### packages

    protected org.eclipse.emf.common.util.EList<EPackageDef> packages

  The cached value of the '`Packages`' containment reference list.

Constructor Detail

### CDOPackageRegistryDefImpl

    protected CDOPackageRegistryDefImpl()

  .

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  .

  Overrides:
    `eStaticClass` in class `org.eclipse.net4j.util.defs.impl.DefImpl`
  Returns:
    the e class

### getPackages

    public org.eclipse.emf.common.util.EList<EPackageDef> getPackages()

  .

  Specified by:
    `getPackages` in interface `CDOPackageRegistryDef`
  Returns:
    the packages
  See Also:
    `CDODefsPackage.getCDOPackageRegistryDef_Packages()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  .

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  Parameters:
    `otherEnd` - the other end
    `featureID` - the feature id
    `msgs` - the msgs
  Returns:
    the notification chain

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  .

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  Parameters:
    `featureID` - the feature id
    `resolve` - the resolve
    `coreType` - the core type
  Returns:
    the object

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  .

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  Parameters:
    `featureID` - the feature id
    `newValue` - the new value

### eUnset

    public void eUnset(int featureID)

  .

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  Parameters:
    `featureID` - the feature id

### eIsSet

    public boolean eIsSet(int featureID)

  .

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  Parameters:
    `featureID` - the feature id
  Returns:
    true, if e is set

### createInstance

    protected java.lang.Object createInstance()

  Creates the instance.

  Specified by:
    `createInstance` in class `org.eclipse.net4j.util.defs.impl.DefImpl`
  Returns:
    the CDO package registry

### addPackages

    protected org.eclipse.emf.ecore.EPackage.Registry addPackages(org.eclipse.emf.ecore.EPackage.Registry packageRegistry)

  Adds the packages.

  Parameters:
    `packageRegistry` - the package registry
  Returns:
    the e package. registry

### addPackage

    protected void addPackage(EPackageDef ePackageDef,
                              org.eclipse.emf.ecore.EPackage.Registry packageRegistry)

  Adds the given `EPackage` within the supplied `definition`to the given `CDOPackageRegistry`.

  ````
  Parameters:
    `ePackageDef` - the ePackage definition
    `packageRegistry` - the package registry

### removePackage

    protected void removePackage(EPackageDef ePackageDef,
                                 org.eclipse.emf.ecore.EPackage.Registry packageRegistry)

  Adds the given `EPackage` within the supplied `definition`to the given `CDOPackageRegistry`.

  ````
  Parameters:
    `ePackageDef` - the ePackage definition
    `packageRegistry` - the package registry

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.